PHP Instellingen wijzigen

Standaard draait Xenius op zijn shared webhostingservers een recente, stabiele versie van PHP. Oudere PHP versies worden niet meer actief ondersteund en vormen een beveiligingsrisico. Toch is het niet altijd gewenst om de laatste versie van PHP te draaien, oudere applicaties of websites kunnen bijvoorbeeld gebruik maken van specifieke PHP functies die niet langer ondersteund zijn in de actieve PHP versie op de server.

Maakt u gebruik van een shared webhosting pakket op een van onze cPanel servers dan kan u dit eenvoudig , per account wijzigen.

  • Log aan op het cPanel met uw gebruikersnaam en wachtwoord, ga in het onderdeel ‘Software’ naar de optie ‘Select PHP Version’

  • Op deze pagina kan u de PHP versie wijzigen, u heeft hier de keuze tussen ofwel een specifieke versie ofwel de versie die momenteel op de server als standaard ingesteld staat (=native). Wenst u echter specifieke PHP modules of opties te selecteren dan dient u een versie anders dan de native versie te selecteren. Nadat u de versie geselecteerd heeft klikt u op ‘Set as Current’

  • Vervolgens kan u de gewenste PHP Extensions en Optios activeren door deze eenvoudig aan te klikken, rechtsboven kan u via de ‘Switch To..’ link wisselen tussen de PHP Extensions en Options.

  • PHP Modules kan u eenvoudig op onderstaand scherm wijzigen, klik hiervoor de huidige waarde van de module aan en wijzig deze vervolgens.

  • Sla vervolgens alle wijzigingen op door onderaan op de save knop te klikken, deze instellingen zijn per direct actief.

Om te controleren welke PHP instellingen er nu juist actief zijn kan u een php bestand uploaden naar uw website met de inhoud <?php phpinfo(); ?> Wanneer u deze pagina vervolgens oproept krijgt u een overzicht van alle geladen extensies en modules.

 

PHP Upload limiet instellen

Om je upload limiet in te stellen verhoog je volgende parameters in het PHP Options scherm:

  • post_max_size
  • upload_max_filesize

Klik op ‘Save’ om te bevestigen en de instelling actief te maken.

Steve